Falta la clase ZipArchive en su servidor en Ubuntu

1 minuto de lectura

En mi tablero de wordpress, aparece este error: “Falta la clase ZipArchive en su servidor”. Ya instalé PHP 7.0 en mi servidor Ubuntu. Como puedo resolver esto.

Avatar de usuario de Regolith
regolito

Intente instalar el archivo zip según la versión de php que haya instalado, intente lo siguiente

sudo apt-get install php-zip

o si tienes php5.6

sudo apt-get install php5.6-zip

o si tienes php7.

sudo apt-get install php7.0-zip

Luego reinicie el servidor

sudo service apache2 restart

Para instalar un paquete específico Ver esto

  • Usando Ubuntu 18.04, con el paquete php predeterminado 7.2.10, solo necesita usar sudo apt-get install php-zip

    – jhcaiced

    25 de noviembre de 2018 a las 1:31

Al actualizar a PHP 7, también debe asegurarse de instalar las versiones de PHP 7 de sus bibliotecas. El PPA que proporciona PHP 7 también proporciona un paquete php7.0-zip. Puedes instalarlo con:

sudo apt-get install php7.0-zip

Para ver bibliotecas PHP 7 adicionales que están disponibles, ejecute:

sudo apt-cache search php7.0-*

Consulte esta URL: https://www.digitalocean.com/community/questions/php-7-0-ziparchive-library-is-missing-or-disabled

¿Ha sido útil esta solución?